## SnapshotVecDelegate

# Trait SnapshotVecDelegate

    pub trait SnapshotVecDelegate {
        type Value;
        type Undo;

        // Required method
        fn reverse(values: &mut Vec<Self::Value>, action: Self::Undo);
    }

## Required Associated Types§

#### type Value

#### type Undo

## Required Methods§

#### fn reverse(values: &mut Vec<Self::Value>, action: Self::Undo)

## Dyn Compatibility§

This trait is not dyn compatible.

In older versions of Rust, dyn compatibility was called "object safety", so this trait is not object safe.

## Implementations on Foreign Types§

§

### impl SnapshotVecDelegate for i32

§

#### type Value = i32

§

#### type Undo = ()

§

#### fn reverse(_: &mut Vec<i32>, _: ())

## Implementors§